import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as m } from "./PieIconComponent.js";
import { safeCustomElement as g } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, h = Object.getOwnPropertyDescriptor, i = (c, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? h(r, s) : r, n = c.length - 1, p; n >= 0; n--)
    (p = c[n]) && (e = (t ? p(r, s, e) : p(e)) || e);
  return t && e && f(r, s, e), e;
};
let o = class extends m {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--eyeOnLarge", this.class = "c-pieIcon c-pieIcon--eyeOnLarge", this.name = "IconEyeOnLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--eyeOnLarge"><path d="M24.024 10.094a11.375 11.375 0 0 0-16.048 0L2.08 16l5.897 5.906a11.375 11.375 0 0 0 16.048 0L29.92 16l-5.897-5.906Zm-1.243 10.57a9.625 9.625 0 0 1-13.562 0L4.546 16l4.673-4.664a9.625 9.625 0 0 1 13.562 0L27.454 16l-4.673 4.664Zm-6.78-9.477A4.813 4.813 0 1 0 20.812 16 4.821 4.821 0 0 0 16 11.187Zm0 7.876A3.062 3.062 0 1 1 16 12.938a3.062 3.062 0 0 1 0 6.124Z"></path></svg>`;
  }
};
i([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
i([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = i([
  g("icon-eye-on-large")
], o);
export {
  o as IconEyeOnLarge
};
